## org.eclipse.datatools.sqltools.editor.template
Interface ITemplateService

public interface ITemplateService

Author:
  lihuang

Method Summary
`SQLTemplate` `getIntelligenceTemplate(java.lang.String templateId, java.util.HashMap params, DatabaseIdentifier databaseIdentifier)` Return the corresponding SQLTemplate from template id.

Method Detail

### getIntelligenceTemplate

    public SQLTemplate getIntelligenceTemplate(java.lang.String templateId,
                                               java.util.HashMap params,
                                               DatabaseIdentifier databaseIdentifier)

  Return the corresponding SQLTemplate from template id.
  Each template id identifiers a SQL template. 'default-templates.xml' in each server plugin defines the supported SQL templates.

  Parameters:
    `templateId` -
    `params` - key-value pairs include SQLEDITOR - SQLEditor instance, the name of template variable - the value user input into SQL Editor.
    `databaseIdentifier` -
  Returns:

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.